Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.orm.hibernate.metaclass
[Java] Class FindOrCreateByPersistentMethod

    java.lang.Object
      org.codehaus.groovy.grails.commons.metaclass.AbstractStaticMethodInvocation
          org.codehaus.groovy.grails.orm.hibernate.metaclass.AbstractStaticPersistentMethod
              org.codehaus.groovy.grails.orm.hibernate.metaclass.AbstractClausedStaticPersistentMethod
                  org.codehaus.groovy.grails.orm.hibernate.metaclass.AbstractFindByPersistentMethod
                      org.codehaus.groovy.grails.orm.hibernate.metaclass.FindOrCreateByPersistentMethod

    @SuppressWarnings("rawtypes")
    public class FindOrCreateByPersistentMethod
    extends AbstractFindByPersistentMethod

Field Summary

Fields inherited from class AbstractFindByPersistentMethod
OPERATORS, OPERATOR_AND, OPERATOR_OR

Fields inherited from class AbstractStaticPersistentMethod
application

Constructor Summary
`FindOrCreateByPersistentMethod(HibernateDatastore datastore, GrailsApplication application, org.hibernate.SessionFactory sessionFactory, java.lang.ClassLoader classLoader)`
`FindOrCreateByPersistentMethod(HibernateDatastore datastore, GrailsApplication application, org.hibernate.SessionFactory sessionFactory, java.lang.ClassLoader classLoader, java.lang.String pattern)`

Method Summary
`protected java.lang.Object` | `doInvokeInternalWithExpressions(java.lang.Class clazz, java.lang.String methodName, java.lang.Object[] arguments, java.util.List expressions, java.lang.String operatorInUse, grails.gorm.DetachedCriteria detachedCriteria, groovy.lang.Closure additionalCriteria)`
`protected boolean` | `shouldSaveOnCreate()`

Methods inherited from class AbstractFindByPersistentMethod
buildCriteria, doInvokeInternalWithExpressions, firstExpressionIsRequiredBoolean, getResult, getResult

Methods inherited from class AbstractClausedStaticPersistentMethod
AbstractClausedStaticPersistentMethod, doInvokeInternal, doInvokeInternal, doInvokeInternal, doInvokeInternalWithExpressions

Methods inherited from class AbstractStaticPersistentMethod
doInvokeInternal, doInvokeInternal, getCriteria, getHibernateTemplate, invoke, invoke, invoke

Methods inherited from class AbstractStaticMethodInvocation
getPattern, invoke, isMethodMatch, setPattern, setPattern, toString

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### FindOrCreateByPersistentMethod

    public FindOrCreateByPersistentMethod(HibernateDatastore datastore, GrailsApplication application, org.hibernate.SessionFactory sessionFactory, java.lang.ClassLoader classLoader)

### FindOrCreateByPersistentMethod

    public FindOrCreateByPersistentMethod(HibernateDatastore datastore, GrailsApplication application, org.hibernate.SessionFactory sessionFactory, java.lang.ClassLoader classLoader, java.lang.String pattern)

Method Detail

### doInvokeInternalWithExpressions

    @SuppressWarnings("unchecked")
    @Override
    protected java.lang.Object doInvokeInternalWithExpressions(java.lang.Class clazz, java.lang.String methodName, java.lang.Object[] arguments, java.util.List expressions, java.lang.String operatorInUse, grails.gorm.DetachedCriteria detachedCriteria, groovy.lang.Closure additionalCriteria)

### shouldSaveOnCreate

    protected boolean shouldSaveOnCreate()

Groovy Documentation